HaruImage::setColorMask
HaruEncoder
HaruImage
PHP Manual

# HaruImage::setMaskImage

Set the image mask

### Description

bool HaruImage::setMaskImage ( object `$mask_image` )

Sets the image used as image-mask. It must be 1bit gray-scale color image.

### Parameters

`mask_image`

  A valid HaruImage instance.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.